Bug 50898 - ide=nodma required on upgrade; 2.4.2-BOOT. PIIX3
ide=nodma required on upgrade; 2.4.2-BOOT. PIIX3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-04 12:55 EDT by adrian.lawrence
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adrian.lawrence 2001-08-04 12:55:38 EDT
Description of Problem:
File corruption during rpm installs/upgrades phase. On solid platform well
tested with several 2.4.x kernels, slightly underclocked.  Resoved by using
ide=nodma .
Presumably a bug in kernel/ide-driver used during installation.

How Reproducible: Always happened (4 times in a row), but exact point a
little
nondeterministic.

Steps to Reproduce:
1.  Start upgrade from rh7.0 to rh7.1. Used FTP .
2.  Plough through all the initial dialogs.
3.  Watch rpm upgrades and installation: corruption usually occured after
100 to 200MB transferred.
 
System extensively tested under 2.4.7 and redhat 7.0 after this happened.
Same  system has run under 2.4.0, 2.4.4 , 2.4.5, 2.4.6 and 2.4.7 with no
such
errors. They  were however compiled for the CPU:-

cpu family      : 5
model           : 8
model name      : AMD-K6(tm) 3D processor
stepping        : 12
cpu MHz         : 398.873
cache size      : 64 KB
which is a little underclocked.

So it looks like a bug in the driver/kernel 2.4.2-2BOOT used during
installation. Since I did not permit the upgrade to run lilo, I have only
run 7.1 under 2.4.7
and there are no problems with the discs.

Chipset: lspic -v:-

00:00.0 Host bridge: Intel Corporation 430HX - 82439HX TXC [Triton II] (rev
03)
        Flags: bus master, medium devsel, latency 32

00:07.0 ISA bridge: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II]
(rev 01)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton
II] (prog-if 80 [Master])
        Flags: bus master, medium devsel, latency 32
        I/O ports at e800 [size=16]

00:09.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 20)
        Subsystem: Netgear FA310TX
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at e000 [size=256]
        Memory at fb000000 (32-bit, non-prefetchable) [size=256]
        Expansion ROM at <unassigned> [disabled] [size=256K]

00:0a.0 VGA compatible controller: S3 Inc. 86c988 [ViRGE/VX] (rev 02)
(prog-if 00 [VGA])
        Flags: bus master, medium devsel, latency 32, IRQ 11
        Memory at f4000000 (32-bit, non-prefetchable) [size=64M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
---------------------------------------------------------

hda: M1606TA, ATA DISK drive
hdb: JTS Corporation CHAMPION MODEL C3000-3A, ATA DISK drive
hdc: JTS Corporation CHAMPION MODEL C3000-3A, ATA DISK drive
hdd: IBM-DTLA-305040, ATA DISK drive
Comment 1 Bugzilla owner 2004-09-30 11:39:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.